%define release_version 0.10.5
%define pre_version rc.1
%define anolis_release 1
%global debug_package %{nil}

Name:           buildkit
Version:        %{release_version}~%{pre_version}
Release:        %{anolis_release}%{?dist}
Summary:        A toolkit for converting source code to build artifacts in an efficient, expressive and repeatable manner.

License:        Apache-2.0
URL:		    https://github.com/imeoer/buildkit/tree/nydus-compression-type
Source0: 	    %{name}-v%{release_version}-%{pre_version}.tar.gz
Source1:	    %{name}-v%{release_version}-%{pre_version}-vendor.tar.gz

BuildRequires:  golang >= 1.18

%description
BuildKit is a toolkit for converting source code to build artifacts in an efficient, expressive and repeatable manner. 

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-v%{release_version}-%{pre_version}
go env -w GOFLAGS="-mod=vendor"

%build
tar -xzf %{SOURCE1}
go build -ldflags "-X 'github.com/moby/buildkit/version.Version=v%{release_version}-%{pre_version}'" -tags=nydus -mod=vendor -o ./bin/buildkitd ./cmd/buildkitd

%install
install -Dpm 0755 ./bin/buildkitd %{buildroot}%{_bindir}/buildkitd

%check

%post

%preun

%files
%license LICENSE
%{_bindir}/buildkitd

%files doc
%doc AUTHORS README.md

%changelog
* Tue Nov 8 2022 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.10.5~rc.1-1
- Support for exporting nydus compression type